LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   libspatialite build errors on linux (https://www.linuxquestions.org/questions/linux-software-2/libspatialite-build-errors-on-linux-4175588215/)

dgplinux 08-29-2016 12:15 AM

libspatialite build errors on linux
 
I am trying to build the libspatialite for Android.The source is from https://www.gaia-gis.it/fossil/libspatialite/index available through libspatialite-4.4.0-RC0.tar.gz.All dependencies like PROJ,GEOS,SQLite3 are installed successfully on linux.The build stops right after the command.


Quote:

./configure --build=x86_64-pc-linux-gnu --host=arm-linux-eabi
Errors

checking for sqlite3_prepare_v2 in -lsqlite3... no
configure: error: 'libsqlite3' is required but it doesn't seem to be installed on this system
However, I can see the libsqlite3 in libs directory.

[root@euro libspatialite-4.4.0-RC1]# locate libsqlite3
/home/gis/Desktop/Softwares/FWTools-linux-x86_64-3.0.6/usr/lib64/libsqlite3.so.0
/home/gis/Desktop/Softwares/FWTools-linux-x86_64-3.0.6/usr/lib64/libsqlite3.so.0.8.6
/home/gis/spatialdb/libspatialite-4.4.0-RC1/libsqlite3.la
/home/gis/spatialdb/sqlite-autoconf-3140000/libsqlite3.la
/home/gis/spatialdb/sqlite-autoconf-3140000/.libs/libsqlite3.a
/home/gis/spatialdb/sqlite-autoconf-3140000/.libs/libsqlite3.la
/home/gis/spatialdb/sqlite-autoconf-3140000/.libs/libsqlite3.lai
/usr/lib/libsqlite3.a
/usr/lib/libsqlite3.la
/usr/lib/libsqlite3.so.0
/usr/lib/libsqlite3.so.0.8.6
/usr/lib64/libsqlite3.so
/usr/lib64/libsqlite3.so.0
/usr/lib64/libsqlite3.so.0.8.6
/usr/local/lib/libsqlite3.a
/usr/local/lib/libsqlite3.la
[root@euro libspatialite-4.4.0-RC1]#

TB0ne 08-29-2016 09:17 AM

Quote:

Originally Posted by dgplinux (Post 5597605)
I am trying to build the libspatialite for Android.The source is from https://www.gaia-gis.it/fossil/libspatialite/index available through libspatialite-4.4.0-RC0.tar.gz.All dependencies like PROJ,GEOS,SQLite3 are installed successfully on linux.The build stops right after the command.

Because you probalby don't have the libsqlite3 development libraries installed. Run "rpm -qa | grep libsqlite3", or "yum install libsqlite3-devel".

pan64 08-29-2016 11:58 AM

do not configure/build as root


All times are GMT -5. The time now is 08:43 AM.